<template>
    <view class="content">
        <view class="box">
            <view class="orderItem" v-for="(item, index) in list" :key="index">
                <view class="orderInfo">
                    <view class="info1">
                        <view>{{ item.bank }}</view>
                        <view>+{{ item.money }}</view>
                    </view>
                    <view class="info2">
                        <view>{{ parse.filterTime(item.createtime) }}</view>
                        <view :class="item.status == 1 ? 'color1' : ''">
                            {{ item.status == 0 ? '申请中' : item.status == 1 ? '提现成功' : item.status == 2 ? '拒绝提现' : '拒绝提现' }}
                        </view>
                    </view>
                </view>
            </view>
			
			    <view v-if="!list.length" style='color:#999;text-align:center;margin:150rpx 0;font-size:30rpx'>暂无数据</view>

        </view>
    </view>
</template>
<script module="parse" lang="wxs">
module.exports = {
	filterTime: function(time) {

		console.log(time)

		var nowDate = getDate(time * 1000);
		var year = nowDate.getFullYear();
		var month = nowDate.getMonth() + 1;
		var date = nowDate.getDate();
		var hours = nowDate.getHours();
     var minutes = nowDate.getMinutes();
     var seconds = nowDate.getSeconds();

		month = month > 9 ? month : '0' + month;
		date = date > 9 ? date : '0' + date;
		hours = hours > 9 ? hours : '0' + hours;
     minutes = minutes > 9 ? minutes : '0' + minutes;
     seconds=seconds>9?seconds:'0'+seconds;

		return year + '-' + month + '-' + date + " " + hours + ":" + minutes+ ":" + seconds;

	}
}
</script>
<script>
// pages/backstage/index/index.js
var app = getApp();
// import { request } from '../../../utils/request.js';
export default {
    data() {
        return {
            page: 1,
            list: [],
            loaded: false,
       
            pageSize:10
        };
    }
    /**
     * 生命周期函数--监听页面加载
     */,
    onLoad: function (options) {
 
        this.getlist();
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {},
    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {},
    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {},
    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {},
    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {
        this.init();
        this.getlist();
        uni.stopPullDownRefresh();
    },
    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {
        this.loaded || this.getlist();
    },
    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {},
    methods: {
        async getlist() {
         var that = this;
         
         let res = await this.$api.request('/withdraw/index', 'GET', {
         	page: this.page,
         	pagesize: this.pageSize
         });
		 
		 console.log(res)
         if (res) {
			 
         	if (res.rows.length > 0) {
         
         		this.list= this.list.concat(res.rows);
         
         		this.page++;
         		
         	} else {
         		this.loaded = true
         		this.$api.msg('没有更多数据');
         	}
         }
         
        },

        init() {
            this.setData({
                list: [],
                Page: 1,
                loaded: false
            });
        }
    }
};
</script>
<style>
	page {
	    background: #f4f5f9;
	}
	
	.content {
	    margin: 26rpx;
	    background: #fff;
	    border-radius: 20rpx;
	}
	
	.orderItem {
	    display: flex;
	    align-items: center;
	    padding: 28rpx 0 20rpx;
	    border-bottom: 1px solid #e4e5ee;
	}
	
	.orderItem > image {
	    width: 116rpx;
	    height: 116rpx;
	    border-radius: 12rpx;
	}
	
	.orderInfo {
	    display: flex;
	    flex-direction: column;
	    flex: 1;
	    justify-content: space-between;
	    margin-left: 26rpx;
	}
	
	.info1 {
	    display: flex;
	    align-items: center;
	    justify-content: space-between;
	    padding-right: 30rpx;
	}
	
	.info1 > view:nth-child(1) {
	    font-size: 28rpx;
	    width: 300rpx;
	    overflow: hidden;
	    text-overflow: ellipsis;
	    white-space: nowrap;
	}
	
	.info1 > view:nth-child(2) {
	    font-size: 28rpx;
	}
	
	.info2 {
	    display: flex;
	    align-items: center;
	    justify-content: space-between;
	    padding-right: 30rpx;
	    margin-top: 6rpx;
	}
	
	.info2 > view:nth-child(1) {
	    color: #9194a6;
	}
	
	.info2 > view:nth-child(2) {
	    color: #9194a6;
	}
	.info3 {
	    color: #9194a6;
	}
	
	.color1 {
	    color: #FB4C6F !important;
	}
	view{
		font-size: 24rpx;
	}
</style>
